<!DOCTYPE html>
<html lang="en">

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>New-Request</title>
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
   <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
   <link rel="stylesheet" href="../dist/css/main.css" type="text/css" />
   <link rel="stylesheet" href="../dist/css/pages/timesheet.css" type="text/css" />
   <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
   <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />

</head>

<body>
   <div class="sidenav leftSidebar expandedNav">
      <!-- for leftSidebar sidebar.js -->
   </div>

   <nav class="navbar-header">
      <!-- for topnavigation bar topbar.js -->
   </nav>
   <!-- leftSidebar -->
   <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
      <div class="headerTop">


         <div class="tabsContainer">
            <h2 class="mainHeading">Timesheet</h2>

            <ul class="tabs mb-0">
               <li>
                  <a href="#">MY TASKS </a></li>
               <li>
                  <a href="#">TASK ENTRY</a>
               </li>
               <li>
                  <a href="#">REQUEST</a>
               </li>
               <li>
                  <a href="#">ASSIGN TASK</a>
               </li>
               <li>
                  <a href="#">REVIEW TIMESHEET</a>
               </li>
            </ul>

            <div class="toggleSideBar">
               <ul>
                  <li>
                     <a href="#" class="togglePopup" id="toggleRightSidebar">
                        <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M7.92917 4.4625V4.9625H8.42917H11.8917V10.2H12.8917V4.9625V4.4625L12.3917 3.9625L10.4125 1.98333L8.92917 0.5L8.42917 0H7.92917H6.44583H2C0.89543 0 0 0.89543 0 2V13.8667C0 14.9712 0.895431 15.8667 2 15.8667H3.4V14.8667H2C1.44772 14.8667 1 14.419 1 13.8667V2C1 1.44772 1.44772 1 2 1H6.44583H7.92917V4.4625ZM9.70539 2.69044L8.92917 1.91421V3.9625H10.9775L9.70539 2.69044Z" fill="#869094"/>
                                    <rect x="6.7998" y="6.80005" width="1.13333" height="3.4" fill="#869094"/>
                                    <rect x="3.40039" y="4.53345" width="1.13333" height="5.66667" fill="#869094"/>
                                    <path d="M10.3067 14.1666C10.314 14.4872 10.0809 14.7437 9.78953 14.7357C9.50547 14.7357 9.27239 14.4792 9.27239 14.1666C9.27239 12.6036 10.4268 11.3333 11.8472 11.3333L14.4256 11.3333C15.8459 11.3333 17.0003 12.6036 17.0003 14.1666C17.0003 15.7295 15.8459 16.9999 14.4256 16.9999H13.3403C13.6426 16.6753 13.8939 16.2946 14.0759 15.8698L14.4219 15.8658C15.2777 15.8698 15.9697 15.1084 15.966 14.1666C15.9697 13.2248 15.2777 12.4634 14.4219 12.4674H11.8508C10.995 12.4634 10.303 13.2248 10.3067 14.1666ZM12.8778 13.5975C13.1618 13.5975 13.3949 13.854 13.3949 14.1666C13.3949 15.7295 12.2405 16.9999 10.8202 16.9999H8.24176C6.82145 16.9999 5.66699 15.7295 5.66699 14.1666C5.66699 12.6036 6.82145 11.3333 8.24176 11.3333L9.32702 11.3333C9.02475 11.6579 8.77346 12.0386 8.58773 12.4674H8.2454C7.38957 12.4634 6.69763 13.2248 6.70127 14.1666C6.69763 15.1084 7.38957 15.8698 8.2454 15.8658H10.8165C11.6723 15.8698 12.3643 15.1084 12.3607 14.1666C12.3534 13.846 12.5864 13.5895 12.8778 13.5975Z" fill="#869094"/>
                                    </svg> Reports &
                        Links
                        <img class="angle pr-0" src="../dist/images/angledown.png" alt="user">
                     </a>
                     <div class="popup" id="toggledivSidebar">
                        <div class="rightSidebar">
                           <div class="reportsLinks mt-2">
                              <h3 class="reports">Reports</h3>
                              <p class="PDFfile">
                                 <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                    Timesheet</a>
                              </p>
                              <p class="PDFfile">
                                 <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                    Timesheet</a>
                              </p>
                           </div>
                           <div class="relatedLinks mt-4">
                              <h3>Related Links</h3>
                              <p class="PDFfile">
                                 <a href="#"><img src="../dist/images/pdf.png" alt="pdf">
                                    View Policy</a>
                              </p>


                           </div>

                        </div>
                     </div>
                  </li>
               </ul>

            </div>
         </div>
      </div>
      <div class="main rightContentArea">

         <div class="tab">
            <!-- / tabs -->
            <div class="tab_content">
               <div class="tabs_item innerContent">
                  <div class="row ml-0 mr-0">
                     <div class="tableShorting">
                        <div class="sectionHeadingContainer">
                           <div class="sectionHeading">
                              <h3>Task List</h3>
                           </div>
                        </div>

                        <a href="#addFiltersPopup" rel="modal:open"> <button class="oct-btn btn-default">Add
                              Filter</button></a>


                        <div class="table-responsive table-striped mt-4 table-hover">
                           <table class="innerTable">
                              <tr>
                                 <th class="trHead">Task ID</th>
                                 <th class="trHead">Task Type</th>
                                 <th class="trHead">Project
                                 </th>
                                 <th class="trHead">Assigned By
                                 </th>
                                 <th class="trHead">Assigned On
                                 </th>
                                 <th class="trHead">Category
                                 </th>
                                 <th class="trHead">Description
                                 </th>
                                 <th class="trHead">Priority
                                 </th>
                                 <th class="trHead">Status
                                 </th>
                                 <th class="trHead thSeven">Action
                                 </th>
                              </tr>
                              <tr>
                                 <td>RQ12283</td>
                                 <td>
                                    AMC
                                 </td>
                                 <td>Others</td>
                                 <td>Sachin Shah</td>
                                 <td>May 2, 2019</td>
                                 <td>Open</td>
                                 <td>----</td>
                                 <td>Medium</td>
                                 <td>Pending</td>
                                 <td class="thSeven"> <a href="#taskDetail" rel="modal:open"><button
                                          class="oct-btn oct-btn-outline actionBtn"><i
                                             class="material-icons">insert_drive_file</i></button></a>
                                    <button id="cancelButton" class="oct-btn oct-btn-outline actionBtn"><i
                                          class="material-icons">cancel</i></button>
                                    <a href="#assignTask" rel="modal:open"><button
                                          class="oct-btn oct-btn-outline actionBtn">
                                          <?xml version="1.0" encoding="UTF-8"?>
                                          <!DOCTYPE svg
                                             PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
                                          <svg xmlns="http://www.w3.org/2000/svg"
                                             xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" width="24"
                                             height="24" viewBox="0 0 24 24">
                                             <path fill="#98a7ad"
                                                d="M18,21L15,18L18,15V17H22V19H18V21M10,4A4,4 0 0,1 14,8A4,4 0 0,1 10,12A4,4 0 0,1 6,8A4,4 0 0,1 10,4M10,14C11.15,14 12.25,14.12 13.24,14.34C12.46,15.35 12,16.62 12,18C12,18.7 12.12,19.37 12.34,20H2V18C2,15.79 5.58,14 10,14Z" />
                                          </svg></button></a></td>
                              </tr>

                           </table>
                        </div>


                     </div>

                  </div>

               </div>
               <!-- / tabs_item -->
               <div class="tabs_item innerContent">
                  <div class="row ml-0 mr-0">
                     <div class="tableShorting">
                        <div class="sectionHeadingContainer">
                           <div class="sectionHeading">
                              <h3>Initiate Task</h3>
                           </div>
                        </div>

                        <div class="content" id="addForm">

                           <div class="row no-padding">
                              <div class="fields mr-4 mb-4">
                                 <label for="date" class="labelGroup">Date <span class="mandatorySign">*</span></label>
                                 <input disabled class="hasDatepicker" type="text" id="date" name="date"
                                    placeholder="May 6, 2019">
                              </div>
                              <div class="fields mb-4">
                                 <label for="time" class="labelGroup">Time <span class="mandatorySign">*</span></label>
                                 <input disabled class="hasDatepicker" type="text" id="time" name="time"
                                    placeholder="10:45 am">
                              </div>
                           </div>

                           <div class="row no-padding">
                              <div class="fields mr-4 mb-4">
                                 <label for="task" class="labelGroup">Task <span class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="courseType" name="courseType">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Task</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                              <div class="fields mr-4 mb-4">
                                 <label for="project" class="labelGroup">Project <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="project" name="project">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Project</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                              <div class="fields mb-4">
                                 <label for="taskType" class="labelGroup">Task Type <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="taskType" name="taskType">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Task Type</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                           </div>

                           <div class="row no-padding">
                              <div class="fields mr-4">
                                 <label class="description">Description <span class="mandatorySign">*</span></label>
                                 <textarea type="text" rows="10" cols="30" class="mandatory" name="description"
                                    id="description" placeholder="Enter the Description"></textarea>
                              </div>
                              <div class="fields mr-4">
                                 <label class="lastStatus">Last Status <span class="mandatorySign">*</span></label>
                                 <textarea type="text" rows="10" cols="30" class="mandatory" name="lastStatus"
                                    id="lastStatus" placeholder="Enter the Status"></textarea>
                              </div>
                           </div>

                           <button class="oct-btn oct-btn-primary mt-4" onclick="formValidations('addForm');">Save </button>


                        </div>
                        <!-- content -->
                     </div>

                  </div>

               </div>

               <!-- / tabs_item -->

               <div class="tabs_item innerContent">
                  <div class="row ml-0 mr-0">
                     <div class="tableShorting">
                        <div class="sectionHeadingContainer">
                           <div class="sectionHeading">
                              <a href="#">
                                 <div data-toggle="tooltip" title="" data-placement="top"
                                    class="backButton d-flex align-items-center" data-original-title="Back">
                                    <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                       <path fill="#000000"
                                          d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                       </path>
                                    </svg>
                                 </div>
                              </a><span class="pipe"></span>
                              <h3>New Request</h3>
                           </div>
                        </div>
                        <div class="content" id="addTask">

                           <h5 class="formHeading">Add Task Details</h5>

                           <div class="row no-padding">
                                 <div class="fields mr-4 mb-4 inputBoxIcon">
                                       <label for="date" class="labelGroup">Date <span
                                             class="mandatorySign">*</span></label>
                                       <input class="mandatory hasDatepicker" type="text" id="date2" name="date2"
                                          placeholder="Select the date">
                                       <span class="inputIcon mr-2">
                                          <i class="far fa-calendar-alt cal1"></i>
                                       </span>
                                    </div>
                      
                              <div class="fields mr-4 mb-4">
                                 <label for="task" class="labelGroup">Task <span class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="task2" name="task2">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Task</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                              <div class="fields mb-4 mr-4">
                                 <label for="taskType" class="labelGroup">Task Type <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="taskType2" name="taskType2">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Task Type</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                         
                              <div class="fields mr-4 mb-4">
                                 <label for="project" class="labelGroup">Project <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="project2" name="project2">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       project</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                              <div class="fields mb-4 mr-4">
                                 <label for="status" class="labelGroup">Status <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="status2" name="status2">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       status</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                        
                              <div class="fields mr-4 mb-4 inputBoxIcon">
                                 <label for="startTime" class="labelGroup">Start Time <span
                                       class="mandatorySign">*</span></label>
                                 <input class="mandatory hasDatepicker" type="text" id="startTime2" name="startTime2"
                                    placeholder="HH:MM">
                                 <span class="inputIcon mr-2">
                                    <i class="far fa-calendar-alt cal1"></i>
                                 </span>
                              </div>
                              <div class="fields mb-4 inputBoxIcon">
                                 <label for="endTime" class="labelGroup">End Time <span
                                       class="mandatorySign">*</span></label>
                                 <input class="mandatory hasDatepicker" type="text" id="endTime2" name="endTime2"
                                    placeholder="HH:MM">
                                 <span class="inputIcon mr-2">
                                    <i class="far fa-calendar-alt cal2"></i>
                                 </span>
                              </div>
                           </div>
                           <div class="row no-padding">
                              <div class="fields mr-4">
                                 <label class="description">Description <span class="mandatorySign">*</span></label>
                                 <textarea type="text" rows="10" cols="30" class="mandatory" name="description2"
                                    id="description2" placeholder="Enter the Description"></textarea>
                              </div>
                              <div class="fields mr-4">
                                 <label class="remarks">Remarks <span class="mandatorySign">*</span></label>
                                 <textarea type="text" rows="10" cols="30" class="mandatory" name="remarks2" id="remarks2"
                                    placeholder="Enter the Remarks"></textarea>
                              </div>
                           </div>

                           <button class="oct-btn btn-default mt-4" onclick="formValidations('addTask');">Add Task</button>

                           <div class="table-responsive table-striped mt-4 table-hover">
                              <span>Tasks</span>
                              <table class="innerTable">
                                 <tbody>
                                    <tr>
                                       <th class="trHead">Date</th>
                                       <th class="trHead">Task</th>
                                       <th class="trHead">Type
                                       </th>
                                       <th class="trHead">Project
                                       </th>
                                       <th class="trHead">Start Time
                                       </th>
                                       <th class="trHead">End Time
                                       </th>
                                       <th class="trHead">Description
                                       </th>
                                       <th class="trHead">Status
                                       </th>
                                       <th class="trHead">Remarks
                                       </th>
                                       <th class="trHead thSeven">Action
                                       </th>
                                    </tr>
                                    <tr>
                                       <td>April 30, 2019</td>
                                       <td>
                                          Task1
                                       </td>
                                       <td>AMC</td>
                                       <td>ABP</td>
                                       <td>10:46 am</td>
                                       <td>12:00 pm</td>
                                       <td>----</td>
                                       <td>Pending</td>
                                       <td>----</td>
                                       <td class="thSeven"> <button class="oct-btn oct-btn-outline actionBtn"><i
                                                class="material-icons">create</i></button>
                                          <button class="oct-btn oct-btn-outline actionBtn"><i
                                                class="material-icons">delete</i></button>
                                       </td>
                                    </tr>

                                 </tbody>
                              </table>
                           </div>

                           <button class="oct-btn oct-btn-primary mt-4">Submit</button>

                        </div>

                     </div>

                  </div>

               </div>

               <!-- / tabs_item -->

               <div class="tabs_item innerContent">
                  <div class="row ml-0 mr-0">
                     <div class="tableShorting">
                        <div class="sectionHeadingContainer">
                           <div class="sectionHeading">
                              <a href="#">
                                 <div data-toggle="tooltip" title="" data-placement="top"
                                    class="backButton d-flex align-items-center" data-original-title="Back">
                                    <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                       <path fill="#000000"
                                          d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                       </path>
                                    </svg>
                                 </div>
                              </a><span class="pipe"></span>
                              <h3>Create Task</h3>
                           </div>
                        </div>
                        <div class="content">


                           <div class="row no-padding">
                              <div class="fields mt-4 mr-4 mb-4">
                                 <label for="title" class="labelGroup">Title <span
                                       class="mandatorySign">*</span></label>
                                 <input class="mandatory hasDatepicker" type="text" id="title" name="title"
                                    placeholder="Enter the task title">
                              </div>
                              <div class="fields mt-4 mr-4 mb-4">
                                 <label for="external" class="labelGroup">External ID <span
                                       class="mandatorySign">*</span></label>
                                 <input class="mandatory hasDatepicker" type="text" id="external" name="external"
                                    placeholder="Enter the external ID">
                              </div>
                              <div class="fields mb-4 mt-4">
                                 <label for="taskType" class="labelGroup">Task Type <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="taskType" name="taskType">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       Task Type</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                           </div>
                           <div class="row no-padding">
                              <div class="fields mr-4 mb-4">
                                 <label for="project" class="labelGroup">Project <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="project" name="project">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       project</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                              <div class="fields mb-4">
                                 <label for="requester" class="labelGroup">Requester <span
                                       class="mandatorySign">*</span></label>
                                 <select class="mandatory" id="requester" name="requester">
                                    <option value="" selected="selected" hidden="hidden">Select the
                                       requester</option>
                                    <option value=""></option>
                                    <option value=""></option>
                                    <option value=""></option>
                                 </select>
                              </div>
                           </div>


                           <div class="table-responsive table-striped table-hover">
                              <span>Tasks</span>
                              <table class="innerTable">
                                 <tbody>
                                    <tr>
                                       <th id="checkBoxTable" class="trHead tableCheckbox"><input type="checkbox" id="selectall">
                                       </th>
                                       <th class="trHead">Emp Code</th>
                                       <th class="trHead">Employee Name</th>
                                       <th class="trHead">Category
                                       </th>
                                       <th class="trHead">Priority
                                       </th>
                                       <th class="trHead">Description
                                       </th>
                                       <th class="trHead">Estimated Hours
                                       </th>
                                    </tr>
                                    <tr>
                                       <td id="checkBoxTables"><input type="checkbox" class="case"
                                             name="s" value="1">
                                       </td>
                                       <td>120001</td>
                                       <td>Sachin Shah</td>
                                       <td><select style="width: 162px;" class="mandatory fullWidth" id="category"
                                             name="category">
                                             <option value="category">Select Category</option>
                                             <option value=""></option>
                                          </select></td>
                                       <td><select style="width: 162px;" class="mandatory fullWidth" id="category"
                                             name="category">
                                             <option value="category">Select Priority</option>
                                             <option value=""></option>
                                          </select></td>
                                       <td><input class="mandatory fullWidth" type="text" name="description"
                                             id="description" placeholder="Add Decsription"></td>
                                       <td><input class="mandatory fullWidth" type="text" name="description"
                                             id="description" placeholder="HH:MM"></td>
                                    </tr>

                                 </tbody>
                              </table>
                           </div>

                           <h5 class="formHeading mt-5">Add Attachments</h5>

                           <div class="row no-padding uploadFileStyling ">
                                 <div class="withLabel filterLable DashedBorder fields file-drop-area mt-4 mr-4">
                                       <label class="file-msg">Drag and drop the resume here or upload
                                          them</label>
                                       <input class="file-input" type="file" multiple="">
                                    </div>
                              <div class="fields mr-4 mb-4">
                                 <label for="external" class="labelGroup">Description <span
                                       class="mandatorySign">*</span></label>
                                 <input class="mandatory" type="text" id="external" name="external"
                                    placeholder="Enter the Description">
                              </div>
                              <button class="oct-btn btn-default mt-4">Add File</button>
                           </div>

                           <div class="table-responsive table-striped table-hover">
                              <span>Tasks</span>
                              <table class="innerTable innerTableHalf">
                                 <tbody>
                                    <tr>
                                       <th class="trHead">Date</th>
                                       <th class="trHead">Description</th>
                                       <th class="trHead">File Name
                                       </th>
                                       <th class="trHead thSeven">Actions
                                       </th>
                                    </tr>
                                    <tr>
                                       <td>May 7, 2019</td>
                                       <td>Task_image.png</td>
                                       <td>Task_image.png</td>
                                       <td class="thSeven"><button class="oct-btn oct-btn-outline actionBtn"><i
                                                class="material-icons">delete</i></button></td>

                                    </tr>

                                 </tbody>
                              </table>
                           </div>
                           <button class="oct-btn oct-btn-primary mt-4">Save</button>
                        </div>

                     </div>

                  </div>

               </div>
               <!-- / tabs_item -->
               <div class="tabs_item innerContent">
                  <div class="row ml-0 mr-0">
                     <div class="tableShorting">
                        <div class="sectionHeadingContainer">
                           <div class="sectionHeading">
                              <h3>Timesheet History</h3>
                           </div>
                        </div>

                        <a href="#addFiltersPopup" rel="modal:open"> <button class="oct-btn btn-default">Add
                              Filter</button></a>


                        <div class="table-responsive table-striped mt-4 table-hover">
                           <table class="innerTable">
                              <tr>
                                 <th class="trHead tableCheckbox"><input type="checkbox" id="selectall2"></th>
                                 <th class="trHead">Code</th>
                                 <th class="trHead">Employee Code
                                 </th>
                                 <th class="trHead">Employee Name
                                 </th>
                                 <th class="trHead">From Date
                                 </th>
                                 <th class="trHead">To Date
                                 </th>
                              </tr>
                              <tr>
                                 <td><input  type="checkbox" class="case2" name="s" value="1"></td>
                                 <td>
                                    RQ12283
                                 </td>
                                 <td>267198</td>
                                 <td>Sachin Shah</td>
                                 <td>May 2, 2019</td>
                                 <td>May 7, 2019
                                 </td>

                              </tr>

                           </table>
                        </div>
                        <a href="#learningApprove1" rel="modal:open"> <button
                              class="oct-btn oct-btn-primary mt-4">Approve
                           </button></a>
                        <a href="#learningreject" rel="modal:open"> <button class="oct-btn oct-btn-outline mt-4">Reject
                           </button></a>

                     </div>

                  </div>

               </div>

               <!-- / tabs_item -->
            </div>

            <!-- / tab_content -->
         </div>
         <!-- / tab -->
      </div>
   </div>


   <div id="learningreject" class="modal octanePopup">
      <h4>Reject</h4>
      <div class="form-group">
         <div class="row marginNone">
            <div style="height: 120px" class="fields">
               <label class="mt-4 labelGroup" for="reason">Reason for rejection <span
                     class="mandatorySign">*</span></label>
               <textarea class="mandatory" name="reason" id="reason" cols="75" rows="5" required
                  placeholder="Please state the reason for rejecting the request"></textarea>
            </div>
         </div>
         <div class="row marginNone closeBtn mt-4">
            <button class="oct-btn oct-btn-primary" type="button" value="Submit"
               onclick="formValidations('learningreject','yes');">Submit</button>
            <button class="clearButton" type="reset" value="Clear" lass="oct-btn-link"
               onclick="clearpopupForm('learningreject');">Clear</button>

         </div>

      </div>

   </div>
   <div id="learningApprove1" class="modal octanePopup">

      <h4>Approve</h4>

      <div class="form-group">
         <div class="row marginNone">
            <div style="height: 120px" class="fields">
               <label class="mt-4 labelGroup" for="reason">Description <span class="mandatorySign">*</span></label>
               <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                  placeholder="Please enter comments"></textarea>
            </div>
         </div>


         <div class="row marginNone closeBtn mt-4">

            <button class="oct-btn oct-btn-primary" type="button" value="Submit"
               onclick="formValidations('learningApprove1','yes');">Submit</button>
            <button class="clearButton" type="reset" value="Clear" lass="oct-btn-link"
               onclick="clearpopupForm('learningApprove1');">Clear</button>
         </div>

      </div>

   </div>

   <div id="addFiltersPopup" class="modal addFilterTablePopup" style="max-width: 800px !important;">
      <form name="filterFrm1" id="filterFrm1">
          <!-- filter popup model content-->
          <h4 class="m-0"> Filter</h4>
          <ul class="nav nav-tabs filterTabs" role="tablist">
              <li class="nav-item">
                  <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                      aria-controls="home" aria-selected="true">Main</a>
              </li>
              <li class="nav-item">
                  <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                      aria-controls="profile" aria-selected="false">Additional</a>
              </li>
          </ul>
          <div class="tab-content filterTestContent">
              <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                  <div class="row no-padding">

                      <div class="fields mr-3 mb-3 mt-3">
                          <label for="companyType">Company</label>
                          <select id="companyType" name="companyType">
                              <option value="null" selected="">Select </option>
                              <option value="google">Google</option>
                              <option value="embee">Embee</option>
                              <option value="yahoo">Yahoo</option>
                          </select>
                      </div>

                      <div class="fields mr-3 mb-3 mt-3">
                          <label for="branchType">Branch</label>
                          <select id="branchType" name="branchType">
                              <option value="null" selected="">Select</option>
                              <option value="delhi">Delhi</option>
                              <option value="mumbai">Mumbai</option>
                              <option value="kolkata">Kolkata</option>
                          </select>
                      </div>

                      <div class="fields mr-3 mb-3 mt-3">
                          <label for="costBranchType">Cost Branch</label>
                          <select id="costBranchType" name="costBranchType">
                              <option value="null" selected="">Select</option>
                              <option value="delhi">Delhi</option>
                              <option value="mumbai">Mumbai</option>
                              <option value="kolkata">Kolkata</option>
                          </select>
                      </div>

                      <div class="fields mb-3 mt-3">
                          <label for="departmentType">Department</label>
                          <select id="departmentType" name="departmentType">
                              <option value="null" selected="">Select</option>
                              <option value="human resources">Human Resources</option>
                              <option value="development">Development</option>
                              <option value="marketing">Marketing</option>
                          </select>
                      </div>


                      <div class="fields mr-3 mb-3">
                          <label for="projectType">Project</label>
                          <select style="width: 80px !important;" id="projectType" name="projectType">
                              <option value="null" selected="">Select</option>
                              <option value="csp">CSP</option>
                              <option value="octane">Octane</option>
                              <option value="hrms">HRMS</option>
                          </select>
                      </div>
                      <div class="fields mr-3 mb-3">
                          <label for="grade">Grade </label>
                          <select style="width: 80px !important;" id="grade" name="grade">
                              <option value="null" selected="">Select </option>
                              <option value="27">27</option>
                              <option value="28">28</option>
                              <option value="29">29</option>
                          </select>
                      </div>

                      <div class="fields mr-3 mb-3">
                          <label for="division">Division</label>
                          <select id="division" name="division">
                              <option value="null" selected="">Select</option>
                              <option value="human resources">Human Resources</option>
                              <option value="development">Development</option>
                              <option value="marketing">Marketing</option>
                          </select>
                      </div>

                      <div class="fields mr-3 mb-3">
                          <label for="employmentStatus">Employement Status</label>
                          <select id="employmentStatus" name="employmentStatus">
                              <option value="null" selected="">Select</option>
                              <option value="full-time">Full Time</option>
                              <option value="part-time">Part Time</option>
                              <option value="intern">Intern</option>
                          </select>
                      </div>

                      <div class="fields mb-3">
                          <label for="">Employement Type</label>
                          <select id="employmentType" name="employmentType">
                              <option value="null" selected="">Select</option>
                              <option value="full-time">Full Time</option>
                              <option value="part-time">Part Time</option>
                              <option value="intern">Intern</option>
                          </select>
                      </div>

                      <div class="fields mr-3">
                          <label for="employeeCode">Employee Code</label>
                          <input type="text" name="employeeCode" placeholder="">
                      </div>

                      <div class="fields mr-3">
                          <label for="firstName">First Name </label>
                          <input type="text" name="firstName" placeholder="">
                      </div>

                      <div class="fields mr-3">
                          <label for="middleName">Middle Name </label>
                          <input type="text" name="middleName" placeholder="">
                      </div>

                      <div class="fields">
                          <label for="lastName">Last Name</label>
                          <input type="text" name="lastName" placeholder="">
                      </div>
                  </div>

                  <div class="row">
                      <div class="table-responsive table-striped table-hover filterTable mt-4" id="employeeTable">
                          <table class="innerTable ml-3">
                              <tbody><tr>
                                  <th class="trHead"></th>
                                  <th class="trHead">Code</th>
                                  <th class="trHead">Employee Name</th>
                                  <th class="trHead">Title</th>
                                  <th class="trHead">Department</th>
                                  <th class="trHead">Branch</th>
                              </tr>
                              <tr>
                                  <td style="width: 1px !important;
                                  ">
                                      <div class="radioButttonStyling">
                                          <label style="padding-right: 0 !important;" for="radioBtn10" class="radio ">
                                              <input data-empcode="226718" type="radio" name="ticket1" checked="" id="radioBtn10" class="hidden">
                                              <span class="label"></span>
                                          </label></div>
                                  </td>
                                  <td>
                                      226718
                                  </td>
                                  <td>
                                      <img src="https://randomuser.me/api/portraits/men/47.jpg">
                                      Sachin Shah
                                  </td>
                                  <td>Front-End Developer</td>
                                  <td>Development</td>
                                  <td>Delhi</td>
                              </tr>
                              <tr>
                                  <td>
                                      <div class="radioButttonStyling">
                                          <label style="padding-right: 0 !important;" for="radioBtn11" class="radio ">
                                              <input data-empcode="226727" type="radio" name="ticket1" id="radioBtn11" class="hidden">
                                              <span class="label"></span>
                                          </label></div>
                                  </td>
                                  <td>
                                      226727
                                  </td>
                                  <td>
                                      <img src="https://randomuser.me/api/portraits/men/47.jpg"> Amik Desai
                                  </td>
                                  <td>SEO Lead</td>
                                  <td>Development</td>
                                  <td>Kolkata
                                  </td>
                              </tr>
                              <tr>
                                  <td>
                                      <div class="radioButttonStyling">
                                          <label style="padding-right: 0 !important;" for="radioBtn12" class="radio ">
                                              <input data-empcode="222628" type="radio" name="ticket1" id="radioBtn12" class="hidden">
                                              <span class="label"></span>
                                          </label></div>
                                  </td>
                                  <td>
                                      222628
                                  </td>
                                  <td>
                                      <img src="https://randomuser.me/api/portraits/women/15.jpg">Suhana Mehta
                                  </td>
                                  <td>UI Designer</td>
                                  <td>Design</td>
                                  <td>Delhi</td>
                              </tr>
                          </tbody></table>
                      </div>
                  </div>
              </div>
              <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                  <div class="row">

                      <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                          <div class="fields mt-3">
                              <label for="fiscalYear">Fiscal Year</label>
                              <select id="fiscalYear" name="fiscalYear">
                                  <option value="null" selected="">Select</option>
                                  <option value="google">Google</option>
                                  <option value="embee">Embee</option>
                                  <option value="yahoo">Yahoo</option>
                              </select>
                          </div>
                      </div>
                      <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                          <div class="fields mt-3">
                              <label for="fiscalMonth">Fiscal Month</label>
                              <select id="fiscalMonth" name="fiscalMonth">
                                  <option value="null" selected="">Select</option>
                                  <option value="delhi">Delhi</option>
                                  <option value="mumbai">Mumbai</option>
                                  <option value="kolkata">Kolkata</option>
                              </select>
                          </div>
                      </div>

                      <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                          <div class="fields mt-3">
                              <label for="selectionStatus">Selection Status</label>
                              <select id="selectionStatus" name="selectionStatus">
                                  <option value="null" selected="">Select</option>
                                  <option value="google">Google</option>
                                  <option value="embee">Embee</option>
                                  <option value="yahoo">Yahoo</option>
                              </select>
                          </div>
                      </div>

                  </div>
              </div>

          
          <div class="form-group mb-0 mt-4">
              <div class="row marginNone closeBtn">
                  <button type="button" id="applyBtn"
                      class="oct-btn oct-btn-primary mt-0 applyLearningFilters">Apply</button>
                  &nbsp;
                  <a href="javascript:void(0);" class="ClearCross clearTableFilters ml-2 mt-1">Clear</a>
              </div>
          </div>
      </form>
  </div>

   <div id="taskDetail" class="modal filterTablePopup" style="max-width: 880px !important;">
      <h4>Task Details - RQ12283</h4>
      <form name="" id="">
         <!-- filter popup model content-->
         <div class="table-responsive table-striped table-hover mt-4">
            <table class="innerTable">
               <tbody>
                  <tr>
                     <th class="trHead">Assigned By
                     </th>
                     <th class="trHead">Assigned To
                     </th>
                     <th class="trHead">Assigned Date
                     </th>
                     <th class="trHead">Priority
                     </th>
                     <th class="trHead">Category
                     </th>
                     <th class="trHead">Description
                     </th>
                     <th class="trHead">Time GIven
                     </th>
                     <th class="trHead">Time Taken
                     </th>
                  </tr>
                  <tr>

                     <td>Kuldeep Chawda</td>
                     <td>Mukesh Goel</td>
                     <td>April 29, 2019</td>
                     <td>Medium</td>
                     <td>AMC</td>
                     <td></td>
                     <td>2hrs</td>
                     <td>3hrs</td>
                  </tr>


               </tbody>
            </table>
         </div>
      </form>
   </div>
   <div id="assignTask" class="modal filterTablePopup" style="max-width: 880px !important;">
      <h4>Assign Task</h4>
      <form name="" id="">
         <!-- filter popup model content-->

         <div class="row no-padding">
            <div class="fields mb-4 mr-4 inputBoxIcon">
               <label for="estimated" class="labelGroup">Estimated hours </label>
               <input disabled="" class="mandatory" type="text" id="estimated" name="estimated" placeholder="4.5hrs">
            </div>
         </div>
         <div class="row no-padding">
            <div class="fields mr-4">
               <label class="remarksAssign">Remarks <span class="mandatorySign">*</span></label>
               <textarea disabled="" type="text" rows="10" cols="30" class="mandatory" name="remarksAssign"
                  id="remarksAssign" placeholder="Example Remarks"></textarea>
            </div>
         </div>



         <div class="table-responsive table-striped table-hover mt-4">
            <table class="innerTable">
               <tbody>
                  <tr>
                     <th id="checkBoxTable" class="trHead"><input type="checkbox" id="selectall">
                     </th>
                     <th class="trHead">Code
                     </th>
                     <th class="trHead">Name
                     </th>
                     <th class="trHead">Category
                     </th>
                     <th class="trHead">Priority
                     </th>
                     <th class="trHead">Description
                     </th>
                  </tr>
                  <tr>

                     <td id="checkBoxTables"><input style="width: 14px !important;" onclick="onCheck()" type="checkbox" class="s" name="s" value="1">
                     </td>
                     <td>Kuldeep Chawda</td>
                     <td>Mukesh Goel</td>
                     <td><select style="width: 162px; height: 32px;" class="mandatory" id="category" name="category">
                           <option value="category">Category</option>
                           <option value=""></option>
                        </select></td>
                     <td><select style="width: 162px; height: 32px;" class="mandatory" id="priority" name="priority">
                           <option value="priority">Priority</option>
                           <option value=""></option>
                        </select></td>
                     <td><input class="mandatory fullWidth" type="text" name="description" id="description"
                           placeholder="Enter Description"></td>
                  </tr>


               </tbody>
            </table>
         </div>
         <button class="oct-btn oct-btn-primary mt-4">Assign</button>
      </form>
   </div>

   <div class="popup-bg" id="cancelPopup">
      <div class="popup-card">

         <main class="popup-content">
            <p> Are you sure you want to cancel this task?</p>
            <button class="oct-btn oct-btn-primary">Yes, cancel </button>
            <button id="closePopup" class="oct-btn oct-btn-outline">Close </button>
         </main>
      </div>
   </div>


   <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
   <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
   <script src="../dist/js/sidebar.js"></script>
   <script src="../dist/js/topbar.js"></script>
   <script src="../dist/js/timesheet.js"></script>
   <script src="../dist/js/octane.js"></script>
	<script>
	$("#selectall").click(function () {
		$('.case').prop('checked', this.checked);
  
	});
	$("#selectall2").click(function () {
		$('.case2').prop('checked', this.checked);
  
	});
</script>
   <script>
         //Upload Document Code
         var $fileInput = $('.file-input');
         var $droparea = $('.file-drop-area');
 
         // highlight drag area
         $fileInput.on('dragenter focus click', function () {
             $droparea.addClass('is-active');
         });
 
         // back to normal state
         $fileInput.on('dragleave blur drop', function () {
             $droparea.removeClass('is-active');
         });
 
         // change inner text
         $fileInput.on('change', function () {
 
             var filesCount = $(this)[0].files.length;
             var $textContainer = $(this).prev();
 
             if (filesCount === 1) {
                 // if single file is selected, show file name
                 var fileName = $(this).val().split('\\').pop();
                 $textContainer.text(fileName);
             }
             /*else {
               // otherwise show number of files
               $textContainer.text(filesCount + ' files selected');
             }*/
         });
         //End File Upload Code
     </script>
</body>

</html>